## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# disable LTO to workaround ICE in gcc happening randomly on all arches
# https://bugzilla.redhat.com/show_bug.cgi?id=2240371
%global _lto_cflags %nil

%global forgeurl https://github.com/tari01/odio-sacd

Name:           odio-sacd
Version:        23.1.31
Release:        %autorelease
Summary:        Command-line SACD decoder

License:        GPL-3.0-or-later
URL:            https://tari.in/www/software/odio-sacd/
Source:         %{forgeurl}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

BuildRequires:  libodiosacd-devel


%description
Odio SACD is a command-line application which takes a Super Audio CD source and
extracts a 24-bit high resolution wave file. It handles both DST and DSD
streams.

The application reads the following input:
- SACD image files (*.iso)
- Sony DSF files (*.dsf)
- Philips DSDIFF files (*.dff)

Supported output sample rates:
- 88.2kHz
- 176.4kHz

%prep
%autosetup
chmod -x COPYING
sed -i Makefile \
  -e 's/CC =/CC ?=/' \
  -e 's/CFLAGS = -g -O$O/CFLAGS +=/'

%build
%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 23.1.31-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.1.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 11 2024 Dan Horák <dan@danny.cz> - 23.1.31-5
- disable LTO to workaround ICE in gcc happening randomly on all arches

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.1.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.1.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Sep 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 23.1.31-2
- Temporarily exclude on ppc64le due to ICE when building

* Fri Aug 04 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 23.1.31-1
- Update to 23.1.31

* Fri Aug 04 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 21.1.9-1
- Initial import; Fixes: RHBZ#2110110
## END: Generated by rpmautospec
